#!/usr/bin/perl
#
#  Copyright 2007  Vladimir Voronin <vl@nchelny.ru>
#
# get_pcp_cards.pl 0.1
#

use DBI;

use Getopt::Std;

if (scalar(@ARGV) == 0) {
        usage();
}

my %option = ();
getopts("i:h", \%option);

my $id_batch = '';

if (defined($option{'i'})) {
        $id_batch = $option{'i'};
	$id_batch =~ s/\s+//g;
}

if ($id_batch eq '') {
	usage();
}

require '/etc/raddb/pcp.cfg';

if (!($db = DBI->connect( "dbi:$dbase_type:$database:$database_host", $dblogin, $dbpassword ))) {die "Error1";}

my $sql;
my $sth;
my %pins = ();
my %bpins = ();

$sql = "select pin_id,pin_number,realm from pins;";
$sth = $db->prepare($sql);
$sth->execute();

while (my $data = $sth->fetchrow_hashref) {
	$pins{$data->{pin_id}} = $data->{realm} . $data->{pin_number};
}

$sth->finish();

$sql = "select pin_id from pin_attributes where (attr_num=323 and attr_val='$id_batch');";
$sth = $db->prepare($sql);
$sth->execute();

while (my ($p) = $sth->fetchrow_array) {
	$bpins{$p} = '';
}

$sth->finish();

foreach my $i (sort {$a <=> $b} keys %bpins) {
	if (defined($pins{$i})) {
	$sql = "select attr_val from pin_attributes where pin_id=$i and attr_num=1005;";
	$sth = $db->prepare($sql);
	$sth->execute();

	while (my ($p) = $sth->fetchrow_array) {
		printf("%.6d\t%d%d\n", $i, $pins{$i}, $p);
	}
	$sth->finish();
	}
}

$db->disconnect();

sub usage {
	print "        \n";
	print "Usage:\n";
	print "\t-h \t\thelp\n";
	print "\t-i <id batch>\tid \n";
	exit;
}
