-- MySQL dump 9.11
--
-- Host: localhost    Database: pcp
-- ------------------------------------------------------
-- Server version	4.0.27

--
-- Table structure for table `attributes`
--

CREATE TABLE attributes (
  attr_name varchar(40) NOT NULL default '',
  attr_num int(11) NOT NULL default '0',
  UNIQUE KEY attr_num (attr_num),
  UNIQUE KEY attr_name (attr_name)
) TYPE=MyISAM;

--
-- Dumping data for table `attributes`
--

INSERT INTO attributes VALUES ('initial_amount',321);
INSERT INTO attributes VALUES ('expiration_date',1034);
INSERT INTO attributes VALUES ('current_amount',301);
INSERT INTO attributes VALUES ('password',1005);
INSERT INTO attributes VALUES ('plan_num',322);
INSERT INTO attributes VALUES ('active',1002);
INSERT INTO attributes VALUES ('batch_id',323);
INSERT INTO attributes VALUES ('allowed_numbers',324);
INSERT INTO attributes VALUES ('prohibited_numbers',325);
INSERT INTO attributes VALUES ('expiration_date_used',3005);
INSERT INTO attributes VALUES ('expiration_period_used',3006);
INSERT INTO attributes VALUES ('billing_model',309);
INSERT INTO attributes VALUES ('user_contract',1033);

--
-- Table structure for table `batches`
--

CREATE TABLE batches (
  batch_id varchar(16) NOT NULL default '',
  batch_desc varchar(40) NOT NULL default '',
  pin_pattern varchar(64) default NULL,
  password_pattern varchar(64) default NULL,
  UNIQUE KEY batch_id (batch_id),
  KEY batch_id_2 (batch_id)
) TYPE=MyISAM;

--
-- Dumping data for table `batches`
--

INSERT INTO batches VALUES ('probe','Probe batch',NULL,NULL);

--
-- Table structure for table `billing`
--

CREATE TABLE billing (
  session_date datetime NOT NULL default '0000-00-00 00:00:00',
  nas_identifier varchar(64) default NULL,
  nas_ip_address varchar(15) default NULL,
  service_type int(11) NOT NULL default '0',
  acct_authentic int(11) default NULL,
  acct_input_octets int(11) default NULL,
  acct_output_octets int(11) default NULL,
  acct_session_id varchar(32) default NULL,
  acct_session_time int(11) default NULL,
  acct_input_packets int(11) default NULL,
  acct_output_packets int(11) default NULL,
  acct_delay_time int(11) default NULL,
  pin_number varchar(16) NOT NULL default '',
  realm varchar(8) default NULL,
  called_station_id varchar(254) default NULL,
  calling_station_id varchar(254) default NULL,
  code varchar(10) default NULL,
  cost double NOT NULL default '0',
  h323_rem_gate_id varchar(15) default NULL,
  batch_id varchar(16) NOT NULL default '',
  password varchar(10) NOT NULL default '',
  current_amount varchar(15) NOT NULL default '',
  source_name varchar(40) NOT NULL default '',
  h323_connection_id varchar(64) default NULL,
  h323_setup_time varchar(36) default NULL,
  h323_connect_time varchar(36) default NULL,
  h323_disconnect_time varchar(36) default NULL,
  h323_disconnect_cause varchar(4) default NULL,
  h323_voice_quality varchar(4) default NULL,
  src_zone int(11) default NULL,
  dest_zone int(11) default NULL,
  dest_name varchar(40) default NULL,
  plan_num varchar(16) default NULL,
  time_plan char(1) default NULL,
  tariff double(16,4) default NULL,
  pin_id int(11) NOT NULL default '0',
  source_node varchar(21) default NULL,
  backend_type varchar(8) default NULL,
  source_id int(6) default NULL,
  min_charge double(16,4) default NULL,
  min_time int(8) default NULL,
  first_tariff double(16,4) default NULL,
  first_time int(8) default NULL,
  round_session_time int(11) default NULL,
  KEY session_date (session_date),
  KEY batch_id (batch_id),
  KEY pin_id (pin_id)
) TYPE=MyISAM;

--
-- Dumping data for table `billing`
--


--
-- Table structure for table `block`
--

CREATE TABLE block (
  op_date datetime NOT NULL default '0000-00-00 00:00:00',
  color int(1) NOT NULL default '0',
  client_id varchar(16) NOT NULL default '',
  plan_num varchar(16) NOT NULL default '',
  source_id int(6) NOT NULL default '0',
  description varchar(32) default NULL,
  UNIQUE KEY client_id (client_id,plan_num,source_id)
) TYPE=MyISAM;

--
-- Dumping data for table `block`
--


--
-- Table structure for table `blocked`
--

CREATE TABLE blocked (
  pin_id int(11) default NULL,
  source_id int(6) default NULL,
  color tinyint(1) NOT NULL default 0,
  plan_num varchar(16) default NULL,
  code varchar(24) NOT NULL default '',
  op_date datetime NOT NULL default '0000-00-00 00:00:00',
  description varchar(32) default NULL,
  UNIQUE KEY code (code,plan_num,source_id,pin_id)
) TYPE=MyISAM;

--
-- Dumping data for table `blocked`
--

INSERT INTO blocked VALUES (1,NULL,NULL,NULL,NULL,'78552349988');
INSERT INTO blocked VALUES (2,NULL,NULL,NULL,NULL,'78552349898');
INSERT INTO blocked VALUES (3,NULL,NULL,NULL,NULL,'7800');
INSERT INTO blocked VALUES (4,NULL,NULL,NULL,NULL,'88552349988');
INSERT INTO blocked VALUES (5,NULL,NULL,NULL,NULL,'88552349898');
INSERT INTO blocked VALUES (6,NULL,NULL,NULL,NULL,'8800');

--
-- Table structure for table `cities`
--

CREATE TABLE cities (
  city_code varchar(6) NOT NULL default '',
  city_zone int(11) NOT NULL default '0',
  city_name varchar(255) NOT NULL default '',
  plan_num varchar(16) NOT NULL default '',
  UNIQUE KEY city_code (city_code,plan_num),
  KEY city_code_2 (city_code),
  KEY city_zone (city_zone),
  KEY city_name (city_name),
  KEY plan_num (plan_num)
) TYPE=MyISAM;

--
-- Dumping data for table `cities`
--

--
-- Table structure for table `countries`
--

CREATE TABLE countries (
  country_code varchar(16) NOT NULL default '',
  country_zone int(11) NOT NULL default '0',
  country_name varchar(255) NOT NULL default '',
  plan_num varchar(16) NOT NULL default '',
  UNIQUE KEY country_code (country_code,plan_num),
  KEY country_code_2 (country_code),
  KEY country_zone (country_zone),
  KEY country_name (country_name),
  KEY plan_num (plan_num)
) TYPE=MyISAM;

--
-- Dumping data for table `countries`
--

--
-- Table structure for table `default_cities`
--

CREATE TABLE default_cities (
  city_code varchar(6) NOT NULL default '',
  city_zone int(11) NOT NULL default '0',
  city_name varchar(255) NOT NULL default '',
  UNIQUE KEY city_code (city_code)
) TYPE=MyISAM;

--
-- Dumping data for table `default_cities`
--

LOAD DATA INFILE 'cities.dat' IGNORE INTO TABLE default_cities;

--
-- Table structure for table `default_countries`
--

CREATE TABLE default_countries (
  country_code varchar(6) NOT NULL default '',
  country_zone int(11) NOT NULL default '0',
  country_name varchar(255) NOT NULL default '',
  UNIQUE KEY country_code (country_code)
) TYPE=MyISAM;

--
-- Dumping data for table `default_countries`
--

LOAD DATA INFILE 'countries.dat' IGNORE INTO TABLE default_countries;

--
-- Table structure for table `default_tariffs`
--

CREATE TABLE default_tariffs (
  src_zone int(11) NOT NULL default '0',
  dest_zone int(11) NOT NULL default '0',
  time_plan char(1) NOT NULL default '',
  tariff double(16,4) NOT NULL default '0.0000',
  UNIQUE KEY src_zone (src_zone,dest_zone,time_plan)
) TYPE=MyISAM;

--
-- Dumping data for table `default_tariffs`
--

INSERT INTO default_tariffs VALUES (1,1,'A',1.0000);
INSERT INTO default_tariffs VALUES (1,1,'E',1.0000);
INSERT INTO default_tariffs VALUES (1,1,'N',1.0000);
INSERT INTO default_tariffs VALUES (1,1,'W',1.0000);
INSERT INTO default_tariffs VALUES (1,1,'H',1.0000);
INSERT INTO default_tariffs VALUES (1,101,'A',10.0000);
INSERT INTO default_tariffs VALUES (1,101,'E',10.0000);
INSERT INTO default_tariffs VALUES (1,101,'N',10.0000);
INSERT INTO default_tariffs VALUES (1,101,'W',10.0000);
INSERT INTO default_tariffs VALUES (1,101,'H',10.0000);
INSERT INTO default_tariffs VALUES (1,98,'A',10.0000);
INSERT INTO default_tariffs VALUES (1,98,'E',10.0000);
INSERT INTO default_tariffs VALUES (1,98,'N',10.0000);
INSERT INTO default_tariffs VALUES (1,98,'W',10.0000);
INSERT INTO default_tariffs VALUES (1,98,'H',10.0000);
INSERT INTO default_tariffs VALUES (1,99,'A',10.0000);
INSERT INTO default_tariffs VALUES (1,99,'E',10.0000);
INSERT INTO default_tariffs VALUES (1,99,'N',10.0000);
INSERT INTO default_tariffs VALUES (1,99,'W',10.0000);
INSERT INTO default_tariffs VALUES (1,99,'H',10.0000);
INSERT INTO default_tariffs VALUES (1,999,'A',100.0000);
INSERT INTO default_tariffs VALUES (1,999,'E',100.0000);
INSERT INTO default_tariffs VALUES (1,999,'N',100.0000);
INSERT INTO default_tariffs VALUES (1,999,'W',100.0000);
INSERT INTO default_tariffs VALUES (1,999,'H',100.0000);

--
-- Table structure for table `destinations`
--

CREATE TABLE destinations (
  code varchar(64) NOT NULL default '',
  zone int(11) NOT NULL default '0',
  name varchar(255) default NULL,
  plan_num varchar(16) NOT NULL default '',
  UNIQUE KEY code (code,plan_num)
) TYPE=MyISAM;

--
-- Dumping data for table `destinations`
--


--
-- Table structure for table `log`
--

CREATE TABLE log (
  op_date datetime NOT NULL default '0000-00-00 00:00:00',
  pin_id int(11) NOT NULL default '0',
  attr_num int(11) NOT NULL default '0',
  attr_val_old varchar(40) default NULL,
  attr_val_new varchar(40) default NULL,
  status_old char(1) default NULL,
  status_new char(1) default NULL,
  current_amount double(16,4) default NULL,
  user_name varchar(30) default NULL,
  realm varchar(8) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table `log`
--


--
-- Table structure for table `log_auth`
--

CREATE TABLE log_auth (
  op_date datetime NOT NULL default '0000-00-00 00:00:00',
  pin_number varchar(16) default NULL,
  realm varchar(8) default NULL,
  rc int(4) default NULL,
  pin_id int(11) default NULL,
  client_id varchar(16) default NULL,
  user_id varchar(32) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table `log_auth`
--

--
-- Table structure for table `parameters`
--

CREATE TABLE parameters (
  name varchar(64) NOT NULL default '',
  value varchar(64) NOT NULL default '',
  plan_num varchar(16) default NULL,
  UNIQUE KEY name (name)
) TYPE=MyISAM;

--
-- Dumping data for table `parameters`
--

INSERT INTO parameters VALUES ('Maximum-Talk-Time','3600',NULL);
INSERT INTO parameters VALUES ('Not-Billed-Interval','6',NULL);
INSERT INTO parameters VALUES ('Not-Billed-Packet-Percent','-1',NULL);
INSERT INTO parameters VALUES ('Late-Acct-Bug-Interval','0',NULL);
INSERT INTO parameters VALUES ('Post-Dial-Delay','10',NULL);
INSERT INTO parameters VALUES ('Min-Number-Length','5',NULL);
INSERT INTO parameters VALUES ('Min-Local-Number-Length','4',NULL);
INSERT INTO parameters VALUES ('Max-Local-Number-Length','8',NULL);
INSERT INTO parameters VALUES ('Min-National-Number-Length','10',NULL);
INSERT INTO parameters VALUES ('Max-National-Number-Length','10',NULL);
INSERT INTO parameters VALUES ('National-Prefix','8',NULL);
INSERT INTO parameters VALUES ('National-Prefix-Length','1',NULL);
INSERT INTO parameters VALUES ('National-Code','7',NULL);
INSERT INTO parameters VALUES ('International-Prefix-1','8',NULL);
INSERT INTO parameters VALUES ('International-Prefix-2','1',NULL);
INSERT INTO parameters VALUES ('International-Prefix-3','0',NULL);
INSERT INTO parameters VALUES ('International-Prefix-Length','3',NULL);
INSERT INTO parameters VALUES ('Default-Internet-Zone','98',NULL);
INSERT INTO parameters VALUES ('Default-National-Zone','99',NULL);
INSERT INTO parameters VALUES ('Default-International-Zone','999',NULL);
INSERT INTO parameters VALUES ('Default-National-Code','DEF-N',NULL);
INSERT INTO parameters VALUES ('Default-International-Code','DEF-I',NULL);
INSERT INTO parameters VALUES ('Default-Local-Code','LOCAL',NULL);
INSERT INTO parameters VALUES ('Tariff-Base','60',NULL);
INSERT INTO parameters VALUES ('City-Code-Length','7',NULL);
INSERT INTO parameters VALUES ('Area-Code-Length','7',NULL);
INSERT INTO parameters VALUES ('Country-Code-Length','7',NULL);
INSERT INTO parameters VALUES ('Max-Code-Length','7',NULL);
INSERT INTO parameters VALUES ('Local-Prefix','9',NULL);
INSERT INTO parameters VALUES ('Start-Acct-Timeout','10',NULL);
INSERT INTO parameters VALUES ('Fraud-Speed-Of-Light','0',NULL);
INSERT INTO parameters VALUES ('Fraud-Speed-Of-Light-Barrier','ZONE',NULL);
INSERT INTO parameters VALUES ('Fraud-PIN-Time-Limit','180',NULL);
INSERT INTO parameters VALUES ('Fraud-PIN-Call-Limit','20',NULL);
INSERT INTO parameters VALUES ('Fraud-PIN-Credit-Limit','75',NULL);
INSERT INTO parameters VALUES ('Fraud-ANI-Time-Limit','180',NULL);
INSERT INTO parameters VALUES ('Fraud-ANI-Call-Limit','20',NULL);
INSERT INTO parameters VALUES ('Fraud-ANI-Auth-Limit','10',NULL);

--
-- Table structure for table `pin_attributes`
--

CREATE TABLE pin_attributes (
  pin_id int(11) NOT NULL default '0',
  attr_num int(11) NOT NULL default '0',
  attr_val varchar(40) default NULL,
  UNIQUE KEY pin_id (pin_id,attr_num),
  KEY pin_id_2 (pin_id),
  KEY attr_num (attr_num)
) TYPE=MyISAM;

--
-- Dumping data for table `pin_attributes`
--

--
-- Table structure for table `pin_in_use`
--

CREATE TABLE pin_in_use (
  realm varchar(8) default NULL,
  pin_number varchar(16) NOT NULL default '',
  start_time datetime NOT NULL default '0000-00-00 00:00:00',
  called_station_id varchar(254) NOT NULL default '',
  source_ip varchar(15) NOT NULL default '',
  source_node varchar(21) NOT NULL default '',
  src_zone int(11) default NULL,
  code varchar(10) default NULL,
  dest_zone int(11) default NULL,
  dest_name varchar(40) default NULL,
  plan_num varchar(16) default NULL,
  time_plan char(1) default NULL,
  tariff double(16,4) default NULL,
  pin_id int(11) NOT NULL default '0',
  max_talk_time int(11) default NULL,
  h323_setup_time varchar(36) default NULL,
  conf_id varchar(35) default NULL,
  status char(1) default NULL,
  UNIQUE KEY pin_number (pin_number),
  KEY pin_id (pin_id),
  KEY pin_number_2 (pin_number),
  KEY start_time (start_time)
) TYPE=MyISAM;

--
-- Dumping data for table `pin_in_use`
--


--
-- Table structure for table `pins`
--

CREATE TABLE pins (
  pin_number varchar(16) NOT NULL default '',
  pin_id int(11) NOT NULL default '0',
  realm varchar(8) NOT NULL default '',
  status char(1) default NULL,
  UNIQUE KEY pin_number (pin_number),
  UNIQUE KEY pin_id (pin_id),
  KEY pin_id_2 (pin_id),
  KEY pin_number_2 (pin_number),
  KEY realm (realm)
) TYPE=MyISAM;

--
-- Dumping data for table `pins`
--

--
-- Table structure for table `plans`
--

CREATE TABLE plans (
  plan_num varchar(16) NOT NULL default '',
  plan_desc varchar(40) NOT NULL default '',
  UNIQUE KEY plan_num (plan_num),
  KEY plan_num_2 (plan_num)
) TYPE=MyISAM;

--
-- Dumping data for table `plans`
--

INSERT INTO plans VALUES ('standard','standard rate plan');

--
-- Table structure for table `realms`
--

CREATE TABLE realms (
  realm_id varchar(8) NOT NULL default '',
  realm varchar(8) NOT NULL default '',
  description varchar(32) default NULL,
  UNIQUE KEY realm_id (realm_id),
  UNIQUE KEY realm (realm),
  KEY realm_2 (realm),
  KEY realm_id_2 (realm_id)
) TYPE=MyISAM;

--
-- Dumping data for table `realms`
--

INSERT INTO realms VALUES ('001','001',NULL);

--
-- Table structure for table `sources`
--

CREATE TABLE sources (
  source_ip varchar(15) NOT NULL default '',
  source_zone int(11) NOT NULL default '0',
  source_name varchar(40) NOT NULL default '',
  source_id int(6) NOT NULL auto_increment,
  PRIMARY KEY  (source_id),
  UNIQUE KEY source_id (source_id),
  UNIQUE KEY source_ip (source_ip),
  KEY source_ip_2 (source_ip)
) TYPE=MyISAM;

--
-- Dumping data for table `sources`
--

INSERT INTO sources VALUES ('127.0.0.1',1,'localhost',1);

--
-- Table structure for table `tariffs`
--

CREATE TABLE tariffs (
  src_zone int(11) NOT NULL default '0',
  dest_zone int(11) NOT NULL default '0',
  plan_num varchar(16) NOT NULL default '',
  time_plan char(1) NOT NULL default '',
  tariff double(16,4) NOT NULL default '0.0000',
  min_charge double(16,4) default NULL,
  min_time int(8) default NULL,
  first_tariff double(16,4) default NULL,
  first_time int(8) default NULL,
  UNIQUE KEY src_zone (src_zone,dest_zone,plan_num,time_plan),
  KEY src_zone_2 (src_zone),
  KEY dest_zone (dest_zone),
  KEY plan_num (plan_num),
  KEY time_plan (time_plan)
) TYPE=MyISAM;

--
-- Dumping data for table `tariffs`
--

INSERT INTO tariffs VALUES (1,1,'standard','A',1.0000,NULL,NULL,NULL,NULL);
INSERT INTO tariffs VALUES (1,1,'standard','E',1.0000,NULL,NULL,NULL,NULL);
INSERT INTO tariffs VALUES (1,1,'standard','N',1.0000,NULL,NULL,NULL,NULL);
INSERT INTO tariffs VALUES (1,1,'standard','W',1.0000,NULL,NULL,NULL,NULL);
INSERT INTO tariffs VALUES (1,1,'standard','H',1.0000,NULL,NULL,NULL,NULL);

--
-- Table structure for table `times`
--

CREATE TABLE times (
  time_plan char(1) NOT NULL default '',
  time_desc varchar(80) NOT NULL default '',
  time_interval varchar(210) NOT NULL default '',
  priority int(11) default NULL,
  UNIQUE KEY time_plan (time_plan),
  KEY time_plan_2 (time_plan)
) TYPE=MyISAM;

--
-- Dumping data for table `times`
--

INSERT INTO times VALUES ('A','Afternoon','08:00-19:59',10);
INSERT INTO times VALUES ('E','Evening','20:00-22:59',10);
INSERT INTO times VALUES ('H','Holiday','May 01,Nov 07,Dec 31,Jan 01',50);
INSERT INTO times VALUES ('N','Night','23:00-23:59,00:00-07:59',10);
INSERT INTO times VALUES ('W','Weekend','Sat,Sun',20);
INSERT INTO times VALUES ('C','Card - special plan with minimal priority, not used in telephony','00:00-23:59',5);

--
-- Table structure for table `used_pins`
--

CREATE TABLE used_pins (
  pin_number varchar(16) NOT NULL default '',
  UNIQUE KEY pin_number (pin_number),
  KEY pin_number_2 (pin_number)
) TYPE=MyISAM;

--
-- Dumping data for table `used_pins`
--


--
-- Table structure for table `zones`
--

CREATE TABLE zones (
  zone_num int(11) NOT NULL default '0',
  zone_desc varchar(40) NOT NULL default '',
  time_dif int(11) default NULL,
  UNIQUE KEY zone_num (zone_num),
  KEY zone_num_2 (zone_num)
) TYPE=MyISAM;

--
-- Dumping data for table `zones`
--

INSERT INTO zones VALUES (1,'default city zone',0);
INSERT INTO zones VALUES (101,'default country zone',0);
INSERT INTO zones VALUES (98,'Rate for Internet calls',0);
INSERT INTO zones VALUES (99,'Maximum rate for National calls',0);
INSERT INTO zones VALUES (999,'Maximum rate for International calls',0);

